package ch.epfl.ppo;

/**
 * Une animation, représentée par une fonction associant une image à chaque
 * instant.
 */
public interface Animation<T> {
    public Image<T> imageAt(double time);

    public static <T> Animation<T> constant(Image<T> image) {
        return t -> image;
    }
}